Bug 306246 - add new maintainance option to update DB using image metadata
Summary: add new maintainance option to update DB using image metadata
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Maintenance-Metadata (show other bugs)
Version: 2.6.0
Platform: openSUSE RPMs Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-09-04 10:32 UTC by Simon Schmeisser
Modified: 2017-08-12 12:01 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 3.3.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Simon Schmeisser 2012-09-04 10:32:50 UTC
When the exif time stamps are changed by an external program, the internal timestamp in digikam is not updated.

Reproducible: Always

Steps to Reproduce:
1. compare time in "Photograph Properties" and in exif-view
2. run exiftool -AllDates-=3:44 IMG_1201.CR2
3. recompare
Actual Results:  
in step one, the dates are equal
in step three, the exif time is changed, while the "Photograph Properties" time is unchanged

Expected Results:  
"Photograph Properties" should show the updated exif time

Workaround: use the "Image->Adjust Time & Date" Tool to update the internal time
Comment 1 caulier.gilles 2012-09-04 10:46:10 UTC
Do you tried to run "More/Read metadata from file to DB option from bottom of Captions/Tags tab from right sidebar ?

Gilles Caulier
Comment 2 Simon Schmeisser 2012-09-04 11:22:27 UTC
Yes, that works. But it is quite well hidden and shouldn't that happen automatically?

(Best would be of course if the "Image->Adjust Time & Date" Tool would support CR2 files ... )
Comment 3 caulier.gilles 2012-09-04 11:31:12 UTC
Image->Adjust Time & Date is a kipi-plugin, and is not better visible.

I plan to add a new option in maintainance tool to update DB info using image metadata (the reverse action already exist). The advantage is to run on whole Collection in background.

Gilles Caulier
Comment 4 caulier.gilles 2013-07-30 20:50:35 UTC
Git commit 45fd5ccc9741795ba3eac60cec632aa8f580b9f6 by Gilles Caulier.
Committed on 30/07/2013 at 20:48.
Pushed by cgilles into branch 'master'.

Maintenance tool : add Metadata synchronization option to be able to update from image metadata to DB or from DB to image metadata.

M  +2    -1    CMakeLists.txt
M  +2    -2    NEWS
M  +29   -12   utilities/maintenance/maintenancedlg.cpp
M  +11   -20   utilities/maintenance/maintenancemngr.cpp
M  +13   -17   utilities/maintenance/maintenancesettings.h

http://commits.kde.org/digikam/45fd5ccc9741795ba3eac60cec632aa8f580b9f6